%define gem_name fattr

Name:           rubygem-%{gem_name}
Summary:        Fatter attribute for Ruby
Version:        2.2.0
Release:        4%{?dist}
Group:          Development/Languages
License:        BSD or Ruby
URL:            http://rubyforge.org/projects/codeforpeople/
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(rubygems)
Requires:       ruby(release)
BuildRequires:  ruby(release)
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(minitest)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
The fattr gem is a Fatter attribute for Ruby

%prep

%build

%install
rm -rf %{buildroot}
%gem_install -n %{SOURCE0} -d %{buildroot}%{gem_dir}

# Remove backup files
find %{buildroot}/%{gem_instdir} -type f -name "*~" -delete

# Delete zero-length files
find %{buildroot}/%{gem_instdir} -type f -size 0c -exec rm -rvf {} \;

# Fix anything executable that does not have a shebang
for file in `find %{buildroot}/%{gem_instdir} -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done

# Find files with a shebang that do not have executable permissions
for file in `find %{buildroot}/%{gem_instdir} -type f ! -perm /a+x -name "*.rb"`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done

# Find files that have non-standard-executable-perm
find %{buildroot}/%{gem_instdir} -type f -perm /g+wx -exec chmod -v g-w {} \;

# Find files that are not readable
find %{buildroot}/%{gem_instdir} -type f ! -perm /go+r -exec chmod -v go+r {} \;

%check
pushd %{buildroot}%{gem_instdir}
testrb test/fattr_test.rb
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc %{gem_docdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/README
%doc %{gem_instdir}/README.erb
%doc %{gem_instdir}/samples
%doc %{gem_instdir}/test
%dir %{gem_instdir}/
%{gem_libdir}
%{gem_cache}
%{gem_spec}

%changelog
* Wed Feb 27 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.2.0-4
- F-19: Rebuild for ruby 2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 01 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 2.2.0-1
- Updated to 2.2.0 for rubygem-main to work properly.
- Introduced %%check section.
- Updated the license to BSD or Ruby.

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 1.0.3-6
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 13 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.0.3-3
- Really fix license
- Include license

* Wed Aug 05 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.0.3-2
- Fix license (Ruby)
- Fix URL

* Tue Jul 28 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.0.3-1
- First build of this package
